%global momorel 2
%global md5sum_src0 80c0980ff63d77b871de41acc7175df7

Summary: XML::Simple module for perl
Name: perl-XML-Simple
Version: 2.16
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Libraries
URL: http://www.cpan.org/modules/by-module/XML/
%NoSource 0 http://www.cpan.org/modules/by-module/XML/XML-Simple-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl
BuildArch: noarch

%description
XML::Simple module for perl

# Provide perl-specific find-{provides,requires}.
%global __find_provides /usr/lib/rpm/find-provides.perl
%global __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n XML-Simple-%{version}

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make
#make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make PERL_INSTALL_ROOT=%{buildroot} install

find %{buildroot}%{_prefix} -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > XML-Simple-%{version}-filelist
if [ "$(cat XML-Simple-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

rm -f %{buildroot}%{perl_vendorarch}/auto/XML/Simple/.packlist

%files -f XML-Simple-%{version}-filelist
%defattr(-,root,root)

%changelog
* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.16-2m)
- use vendor

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.16-1m)
- update to 2.16

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.14-2m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.14-1m)
- version up to 2.14
- built against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.12-2m)
- rebuild against perl-5.8.5

* Mon May 17 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.12-1m)
- version up

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (2.09-4m)
- revised spec for rpm 4.2.

* Thu Dec 18 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.09-3m)
- comment out 'make test' for rebuild

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.09-2m)
- rebuild against perl-5.8.2

* Sun Nov  2 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.09-1m)

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.08-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (2.08-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Tue Jul  8 2003 Kimitake Shibata <cipher@da2.so-net.ne.jp>
- (2.08-1m)
- Update to 2.08

* Fri Jan 24 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.03-1m)
- import to momonga
